Status: Resolved Priority: Should have
Author: Adrian Föder Category: Http
Created: 2012-10-16 Assigned To: Adrian Föder
Updated: 2012-10-18 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: HTTP Browser: follow Location redirects like a real browser does
Description

currently, unlike the raw "RequestEngine" functionality, a browser is intended to act like a real browser.
This means it should follow "Location" redirects if it stumbles opon such.

Related issues:
related to TYPO3.Flow - Bug # 42756: Functional BrowserTest fails in Neos setup Resolved 2012-11-07

Associated revisions
Revision e90a00d6 - 2012-10-18 23:00 - Adrian Föder

[FEATURE] Let HTTP browser follow Location redirects

Since Http's Browser object should behave like a real browser, Location
headers are now followed (as soon as they come with a 3xx response code
as of RFC2616 14.30).

This patch includes a safeguard that prevents following infinite
redirect loops and an option to disable the automatic redirection
altogether.

Change-Id: I8432b6b09f0ce87a8eb3da2d604df4d96e2d84e0
Resolves: #42049
Releases: 1.2

Revision 9736f945 - 2012-11-07 14:20 - Karsten Dambekalns

[BUGFIX] Fix functional BrowserTest in Neos context

The functional BrowserTest in Flow (added as part of the solution to
issue #42049) fails when run in a Neos context. This is caused by the
different routes configuration.

The change tweaks the route used in the test slightly.

Change-Id: I2cd8c47453408ed239a4f46cf6111f3bcf5e95d1
Fixes: #42756
Releases: 1.2

History
#1 - 2012-10-16 16:22 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15737

#2 - 2012-10-16 16:50 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15737

#3 - 2012-10-18 23:35 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e90a00d669c4ad196462ad12a7fd75a06c36b1a8.
